/* File: AESimple.h */
#ifndef __PRINTING__
#include <printing.h>
#endif

#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif

#ifndef __GESTALTEQU__
#include <GestaltEqu.h>
#endif


#define	kAppleMenu	1001
enum	{
			cAbout = 1
		};

#define	kFileMenu	1002
enum	{
			cNew = 1,
			cOpen,
			cClose,
			/* --- */
			cSave = 5,
			cSaveAs,
			/* --- */
			cPageSetup = 8,
			cPrint,
			/* --- */
			cQuit = 11
		};

#define	kEditMenu	1003

#define kDemoMenu	1004

#define	kDisplayWindow	1001
#define	kAboutDialog	1001


		/* Other magic numbers */
#ifndef nil
	#define	nil				(0L)
#endif

#ifndef NIL
	#define	NIL				(0L)
#endif
typedef	unsigned long ulong;
typedef unsigned short ushort;


typedef struct {
			OSType	identifier;				/* This is a 4-letter code which makes it easier to find the block in memory */
			FSSpec	theFile;
			THPrint	printInfo;
			PicHandle thePicture;			/* The picture to be drawn */
			Rect	picBounds;				/* The frame within which our picture sits */
			short	currVScrollValue;		/* How far have we scrolled vertically */
			short	currHScrollValue;		/* How far have we scrolled horizontally */
			ControlHandle vScrollHand;		/* vertical scroll bar */
			ControlHandle hScrollHand;		/* horizontal scroll bar */
		} WindowInfo, *wiPtr, **wiHand;

#ifdef __Main__
	#define	global
#else
	#define	global	extern
#endif

global	Boolean	gDone;      			/*	quit program flag	*/
global	short	gMenuState;				/* In what state did we last leave our menu bar? */

#define		isUserWindow(wp)	(((WindowPeek)wp)->windowKind == userKind)

#include	"Prototypes.h"
