unit Globals;


interface


	uses
		About;						{ my unit! }



	const
		maxDemoWindows = 12;

		SharewareMsg = 'About is $10 SHAREWARE.';
		CopyrightMsg = ' 1989-92 by Jon Wind';

		AboutDemoID = 129;
		HelpTEXTID = 128;
		AboutTEXTID = 1000;
		IconID = 1000;
		WinProcMenuID = 255;
		popupSICNid = 128;
		On = 1;
		Off = 0;
		Disable = 255;
		goNext = 1;
		goPrev = -1;

{ *** The constants below were added to be used in the case statements.}
		enterKey = 3;
		BS = 8;
		tabKey = 9;
		CR = 13;
		leftArrow = 28;
		rightArrow = 29;
		upArrow = 30;
		downArrow = 31;
		num0 = 48;
		num1 = 49;
		num2 = 50;
		num3 = 51;
		num4 = 52;
		num5 = 53;
		num6 = 54;
		num7 = 55;
		num8 = 56;
		num9 = 57;
		upperC = 67;
		upperV = 86;
		upperX = 88;
		lowerC = 99;
		lowerV = 118;
		lowerX = 120;

		dBoxWWin = 1;
		dPlainWWin = 2;
		dAltWWin = 3;
		dNoGrowWin = 4;
		dRDocWWin = 5;
		dMovableWin = 6;

		dTopEd = 5;
		dLeftEd = 7;
		dBottomEd = 9;
		dRightEd = 11;
		dSetRectBtn = 12;

		dWinProcPop = 14;

		dTitleEd = 16;
		dMsgChk = 17;
		dMsgEd = 18;

		dCenterRad = 19;
		dTopWinRad = 20;
		dMainMonRad = 21;

		dIconChk = 22;
		dStylChk = 23;
		dCopyChk = 24;
		dCloseChk = 25;
		dEquivChk = 26;
		dModalChk = 27;

		dAboutBtn = 28;

		dSetRectBtnStr = '<-Set Rect';
		dSetRectBtnStr2 = 'Click';
		dSetRectBtnStr3 = 'OK';
		dSetRectBtnStr4 = 'Drag';


	type
		ColorSpecPtr = ^ColorSpec;
		ColorSpec = record
				value: Integer; 						{index or other value}
				rgb: RGBColor;							{true color}
			end;

		CSpecArray = array[0..0] of ColorSpec;

		CCTabPtr = ^CtlCTab;
		CCTabHandle = ^CCTabPtr;
		CtlCTab = record
				ccSeed: LongInt;				{reserved}
				ccRider: Integer;			{see what you have done - reserved}
				ctSize: Integer;				{usually 3 for controls}
				ctTable: array[0..3] of ColorSpec;
			end;

		AuxWinPtr = ^AuxWinRec;
		AuxWinHandle = ^AuxWinPtr;
		AuxWinRec = record
				awNext: AuxWinHandle;		{handle to next AuxWinRec}
				awOwner: WindowPtr; 		{ptr to window }
				awCTable: CTabHandle;		{color table for this window}
				dialogCItem: Handle;		{handle to dialog manager structures}
				awFlags: LongInt;			{reserved for expansion}
				awReserved: CTabHandle; 	{reserved for expansion}
				awRefCon: LongInt;			{user Constant}
			end;

		PopUpMenu = record
				MenuHndl: MenuHandle;
				promptRect, PopUpRect: Rect;
				PopDItem, Selected, menuID: Integer;
				canInvert: Boolean;
			end;

		DemoVars = record
				WinRect: Rect;
				WinProc, Center: Integer;
				Msg, ShowIcon, Style, CopyIt, Close, Keys, Modal: Boolean;
				MsgText, TitleText: Str255;
			end;


	var
		AboutStuff: AboutRec;
		CrossCurs: CursHandle;			{ cross cursor handle }
		MainDlgPtr: DialogPtr;					{ main dialog box pointer }
		DemoWinPtr: array[1..maxDemoWindows] of WindowPtr;
		zVar: DemoVars;
		ramRect: Rect;
		Finished: Boolean;
		lastClick, ramDemand, ramFree: longint;
		WinTypePop: PopUpMenu;


implementation

end.