/*
	initclut.h

	header for initclut.c
*/

#include <color.h>

#define maxintensity		0xFFFF
#define rom85loc			0x028E
#define twohighmask			0xC000
#define max_source_level	13  /* 14 levels = 0...13, 196 colors */
#define all_my_colors		256

void Init_gray_clut(void);

void init_clut_proton(void);

void init_clut_flourine(void);

void init_clut_result(void);

void myForeColor( unsigned short r, unsigned short g, unsigned short b );

void myBackColor( unsigned short r, unsigned short g, unsigned short b );
